Advanced search bar: When collapsed, show preview of currently used advanced params
Closed, ResolvedPublic

Description

Motivation
Even whe the advanced parameters are colllapsed, it needs to be clear whether it contains part of the search keywords, and which.

Task

  • Whenever the advanced parameters are collapsed, use the tag format to show all currently used keywords in the form.
  • The tag content should be keyword: <user input>, and cut off (with ...) if lengthy
  • When the advanced parameters are expanded, don't use the tags anymore, but show the contents again
  • Please add a : to the keywords in all cases to show that there is more to come (Otherwise especially "This word" looks funny)

Lea_WMDE created this task.May 15 2017, 9:37 AM

We've tried adding the keywords, but the "tags" (even when cutting them off) took too much space. At the moment, we only show the actual contents in the title (=> visible when hovering) and for fields with multiple inputs (MultiSelectField) we show a number if there are multiple inputs.

We need to discuss the design further in the next PM/Engineering time. Talking points:

  • Show search term yes/no.
  • When showing search terms, how do we handle fields that are too big?
  • How big can the search term preview get?
  • Should the search term preview include only the terms as they appear in the input fields, or should it show also the generated "search operators"?

@gabriel-wmde I'll talk with @Jan_Dittrich about it tomorrow (wednesday) at 2! Feel free to join (hangout) or else I'll update you afterwards :)

Lea_WMDE renamed this task from Search prototype: When collapsed, show preview of currently used advanced params to Advanced search bar: When collapsed, show preview of currently used advanced params.May 30 2017, 4:27 PM
Lea_WMDE moved this task from Backlog to Test results on the Advanced-Search board.Jun 7 2017, 2:42 PM
Lea_WMDE updated the task description. (Show Details)Jun 7 2017, 2:46 PM
Lea_WMDE closed this task as Resolved.Jul 19 2017, 11:42 AM